class 'fakecustomer' (D2Person)

function fakecustomer:__init(baseName) super(baseName)

	self:setWalkTimePerNode(70)
	self:setDefaultSection("customers")
	
end

function fakecustomer:calcImageName(input)

	in_ = input

	if (self:isSitting()) then
		if (in_ == "IDLE") then
     		in_ = "READ"
		end
	end

	res = D2Person.calcImageName(self, in_)
  
	return res
  
end

function fakecustomer:calcLegsName()

	res = D2Person.calcLegsName(self)
	
	if (self.state ~= nil) then
		if (self.state == "ORDER") then
			res = res .. "_ORDERING"
			
		end
	end
	
	return res

end